import { defineAction, ActionError } from 'astro:actions';
import { z } from 'astro:schema';

import { authClient } from "../lib/auth-client"; //import the auth client

import { PrismaClient } from "@prisma/client";
const prisma = new PrismaClient();

export const server = {
    updateUsername: defineAction({
        input: z.object({
            id: z.string().uuid(),
            username: z.string()
                .min(3, "Username too short")
                .max(30, "Username too long")
                .regex(/^[a-zA-Z0-9\_\.]+$/, "Illegal characters in username"),
        }),
        handler: async (input) => {
            prisma.$connect
            const user = await prisma.user.update({
                where: {
                    id: input.id,
                },
                data: {
                    username: input.username,
                }
            });
           return user;
        }
    })
}