import 'dotenv/config'
import { betterAuth } from "better-auth";
import { username, admin } from "better-auth/plugins"
import { passkey } from "better-auth/plugins/passkey";
//import { Pool } from "pg";
import { prismaAdapter } from "better-auth/adapters/prisma";
import prisma from "./prisma"
 
export const auth = betterAuth({
    plugins: [
        username(), admin(),
        passkey({
            rpID: "localhost",
            rpName: "eleboog.com"
        })
    ],
    socialProviders: {
        discord: {
            clientId: process.env.DISCORD_CLIENT_ID!,
            clientSecret: process.env.DISCORD_CLIENT_SECRET!,
        },
        github: { 
            clientId: process.env.GITHUB_CLIENT_ID!, 
            clientSecret: process.env.GITHUB_CLIENT_SECRET!, 
        }, 
    },
    database: prismaAdapter(prisma, {
        provider: "postgresql"
    }),
})